Skip to main content
`Ctrl`+`K`

# DMPlexGetSimplexOrBoxCells

Get the range of cells which are neither prisms nor ghost FV cells

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSimplexOrBoxCells(DM dm, PetscInt height, PeOp PetscInt *cStart, PeOp PetscInt *cEnd)

## Input Parameters

- dm - The `DMPLEX` object

- height - The cell height in the Plex, 0 is the default

## Output Parameters

- cStart - The first “normal” cell, pass `NULL` if not needed

- cEnd - The upper bound on “normal” cells, pass `NULL` if not needed

## Note

This function requires that tensor cells are ordered last.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexConstructGhostCells()`, `DMPlexGetCellTypeStratum()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex76.c
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages